package com.jpsoft.shinestar.modules.base.service;

import com.github.pagehelper.Page;
import com.jpsoft.shinestar.modules.base.entity.InformationInfo;
import com.jpsoft.shinestar.modules.common.dto.Sort;

import java.util.List;
import java.util.Map;

public interface InformationInfoService {
	InformationInfo get(String id);
	boolean exist(String id);
	int insert(InformationInfo model);
	int update(InformationInfo model);
	int delete(String id);
	List<InformationInfo> list();
	Page<InformationInfo> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, List<Sort> sortList);

	List<InformationInfo> findByOwnerIdAndType(String ownerId, String type);
}